summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/rlog/rlog-1.3.7.ebuild')
-rw-r--r--dev-libs/rlog/rlog-1.3.7.ebuild14
1 files changed, 11 insertions, 3 deletions
diff --git a/dev-libs/rlog/rlog-1.3.7.ebuild b/dev-libs/rlog/rlog-1.3.7.ebuild
index b3b479509043..d6892a7298e1 100644
--- a/dev-libs/rlog/rlog-1.3.7.ebuild
+++ b/dev-libs/rlog/rlog-1.3.7.ebuild
@@ -1,6 +1,8 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/rlog/rlog-1.3.7.ebuild,v 1.6 2007/08/25 17:24:02 beandog Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/rlog/rlog-1.3.7.ebuild,v 1.7 2008/05/01 00:42:30 dev-zero Exp $
+
+inherit eutils
DESCRIPTION="A C++ logging library"
SRC_URI="http://arg0.net/users/vgough/download/${P}.tgz"
@@ -10,7 +12,13 @@ KEYWORDS="amd64 ~ppc sparc x86"
SLOT="0"
IUSE=""
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}/${P}-gcc-4.3.patch"
+}
+
src_install () {
dodoc AUTHORS README
- make DESTDIR="${D}" install || die
+ emake DESTDIR="${D}" install || die "emake install failed"
}